Bug 119623 - Deleting shared formula group top cell does not re-establish listeners for the remaining (group) formula cell(s) (steps in comment 5)
Summary: Deleting shared formula group top cell does not re-establish listeners for th...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calculate
  Show dependency treegraph
 
Reported: 2018-08-31 16:08 UTC by jean.orloff
Modified: 2018-12-09 13:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of spreadsheet displaying a non-updating SUM bug (12.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-08-31 16:08 UTC, jean.orloff
Details
test_sum_bug (8.25 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-08-31 16:47 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jean.orloff 2018-08-31 16:08:22 UTC
Created attachment 144584 [details]
Example of spreadsheet displaying a non-updating SUM bug

The formula =SOMME(A$11:A$65) (french version; the english would be =SUM(A$11:A$65)
in the file below correctly updates its result when changing numbers in the array, but only when it is written in 2 different cells. Erase one, and the other stops updating. Put it back, and all is fine.  

AVERAGE updates without trouble.

This is the strangest bug I have encountered in over 40 years of geeking!
Comment 1 Oliver Brinzing 2018-08-31 16:41:45 UTC
i can confirm with your document

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7cb6dc2652ce7e2e7d9ec7464bb1eed0d93306d7
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: threaded

will need a full recalc (Ctrl+Shift+F9) after each value change.

noticed: 
if i remove all "$" from =SUMME(A$11:A$65) formula's 
=SUM(A11:A65) it will work.
Comment 2 Oliver Brinzing 2018-08-31 16:47:48 UTC
Created attachment 144587 [details]
test_sum_bug

can also confirm with a newly created document.
Comment 3 m.a.riosv 2018-08-31 23:42:19 UTC
I can't reproduce.
Version: 6.0.7.0.0+ (x64)
Build ID: c57538b2b3c9ffbb206590089c0a5ca69056304d
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-0, Time: 2018-08-20_19:58:40
Locale: es-ES (es_ES); Calc: CL
Comment 4 m.a.riosv 2018-08-31 23:43:09 UTC
Please test with Menu/Help/Restart in Safe mode.
Comment 5 Xisco Faulí 2018-09-01 10:35:14 UTC
In

Version: 6.2.0.0.alpha0+
Build ID: 3bd8316718fdfed454c01a9c4ae6af6beb34437d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

I can reproduce the following steps:
1. Open attachment 144584 [details] 
2. Remove cell A5
3. Change A11 value to 0. Only Value in A7 is updated not in A6 nor in A8. It doesn't happen if A5 is not deleted...
Comment 6 Xisco Faulí 2018-09-01 10:45:36 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5ef856e975d7c0396984d588a43fd1a7c7085c55

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-11-18 21:03:05 -0500
committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-11-18 21:03:50 -0500
commit	5ef856e975d7c0396984d588a43fd1a7c7085c55 (patch)
tree	912d2dbd8ad1b34185ffb82a77627730a05816fd
parent	b2efe90c07baa45d2ee7e13138dd306a29738473 (diff)
Use group area listeners during ODS import.

Bisected with: bibisect-44max

Adding Cc: to Kohei Yoshida
Comment 7 Xisco Faulí 2018-09-01 10:47:20 UTC
@Eike, seeing you fixed bug 97897, I thought you could be interested in this issue...
Comment 8 jean.orloff 2018-09-03 09:29:22 UTC
(In reply to Oliver Brinzing from comment #2)
> Created attachment 144587 [details]
> test_sum_bug
> 
> can also confirm with a newly created document.

Also confirm with your newly created document.

For info, I have
Version: 6.0.5.2
Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
Threads CPU : 4; OS : Mac OS X 10.13.6; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 9 Eike Rathke 2018-10-15 19:00:10 UTC
Investigating.
Comment 10 Commit Notification 2018-10-16 08:46:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbec372ba829b3f32b3c0874920b2ee36220ef9d

Resolves: tdf#119623 record group positions also for top cells

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2018-10-16 08:54:21 UTC
Pending review https://gerrit.libreoffice.org/61818 for 6-1
Comment 12 Commit Notification 2018-10-16 11:50:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e77f63d6ab56d526bebaa409b9b03eee5a05609d

Unit test deleting shared formula group top cell, tdf#119623

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2018-10-17 16:14:22 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 647fc41763d1310479d59262734caa296f6e558d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); Calc: threaded

@Eike, Thanks for fixing this!!
Comment 14 Commit Notification 2018-10-19 14:32:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c78c42f63f91f28dfae7340d379fa1b8136633c0&h=libreoffice-6-1

Resolves: tdf#119623 record group positions also for top cells

It will be available in 6.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Oliver Brinzing 2018-12-09 13:31:14 UTC
Verified in

Version: 6.1.4.1 (x64)
Build ID: 25073d18caee244880112e52c4a7e71f6081b3a9
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc:

adding to META] Calculate bugs and enhancements